Package com.treemap.javafx.treeplot

# Class JavaFXTreePlotView<N,Row,Column>

java.lang.Object
com.treemap.treeplot.AbstractTreePlotView<javafx.scene.Node,N,Row,Column,javafx.scene.paint.Color,javafx.scene.text.Font>
com.treemap.javafx.treeplot.JavaFXTreePlotView<N,Row,Column>

All Implemented Interfaces:
  `TreePlotView<javafx.scene.Node,N,Row,Column,javafx.scene.paint.Color,javafx.scene.text.Font>`

public class JavaFXTreePlotView<N,Row,Column> extends AbstractTreePlotView<javafx.scene.Node,N,Row,Column,javafx.scene.paint.Color,javafx.scene.text.Font>
Created by luc on 03/02/16.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.treemap.treeplot.TreePlotView

  `TreePlotView.BoundingMode`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final CPTimer`
  `timer`

  ### Fields inherited from class com.treemap.treeplot.AbstractTreePlotView

  `model, probingToolTip, screenTransform, selectionToolTip, shapes, xGuide, xRangeModel, yGuide, yRangeModel`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaFXTreePlotView()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addContextMenuListener(com.macrofocus.crossplatform.CPCanvas.ContextMenuListener l)`
  `void`
  `addKeyListener(com.macrofocus.crossplatform.CPCanvas.KeyListener l)`
  `void`
  `addMouseListener(com.macrofocus.crossplatform.CPCanvas.MouseListener l)`
  `void`
  `addMouseMotionListener(com.macrofocus.crossplatform.CPCanvas.MouseMotionListener l)`
  `void`
  `addMouseWheelListener(com.macrofocus.crossplatform.CPCanvas.MouseWheelListener l)`
  `int`
  `getHeight()`
  `JavaFXTreePlotView<N,Row,Column>.com.treemap.javafx.treeplot.JavaFXTreePlotView.NativeComponent`
  `getNativeComponent()`
  `Dimension`
  `getSize()`
  `int`
  `getWidth()`
  `protected void`
  `repaint(long delay)`
  `protected void`
  `setBackground(com.macrofocus.igraphics.CPColor<javafx.scene.paint.Color> background)`

  ### Methods inherited from class com.treemap.treeplot.AbstractTreePlotView

  `addProgressiveRenderer, addRenderer, drill, drillDown, drillUp, getBoundingMode, getHeadless, getLeafScreenShape, getModel, getNode, getNodes, getPaint, getProgressiveRenderers, getRenderedShape, getRenderers, getRubberBand, getScreenBounds, getScreenShape, getSelectionToolTip, getToolTip, getToolTipPreferredLocation, getTooltipRenderer, getWorld, getXCoordinateAxis, getXGuide, getXRangeModel, getYCoordinateAxis, getYGuide, getYRangeModel, getZoomFactor, isDirty, isShowTiming, repaint, resetXAxis, resetYAxis, setDirty, setDirtyShapes, setModel, setSelectionToolTip, setShowTiming, setToolTip, zoom, zoomIn, zoomOut`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### timer

    protected final CPTimer timer

- ## Constructor Details

  - ### JavaFXTreePlotView

    public JavaFXTreePlotView()

- ## Method Details

  - ### repaint

    protected void repaint(long delay)
    Specified by:
      `repaint` in class `AbstractTreePlotView<javafx.scene.Node,N,Row,Column,javafx.scene.paint.Color,javafx.scene.text.Font>`

  - ### getWidth

    public int getWidth()

  - ### getHeight

    public int getHeight()

  - ### setBackground

    protected void setBackground(com.macrofocus.igraphics.CPColor<javafx.scene.paint.Color> background)
    Specified by:
      `setBackground` in class `AbstractTreePlotView<javafx.scene.Node,N,Row,Column,javafx.scene.paint.Color,javafx.scene.text.Font>`

  - ### getSize

    public Dimension getSize()

  - ### getNativeComponent

    public JavaFXTreePlotView<N,Row,Column>.com.treemap.javafx.treeplot.JavaFXTreePlotView.NativeComponent getNativeComponent()

  - ### addMouseListener

    public void addMouseListener(com.macrofocus.crossplatform.CPCanvas.MouseListener l)

  - ### addMouseMotionListener

    public void addMouseMotionListener(com.macrofocus.crossplatform.CPCanvas.MouseMotionListener l)

  - ### addMouseWheelListener

    public void addMouseWheelListener(com.macrofocus.crossplatform.CPCanvas.MouseWheelListener l)

  - ### addKeyListener

    public void addKeyListener(com.macrofocus.crossplatform.CPCanvas.KeyListener l)

  - ### addContextMenuListener

    public void addContextMenuListener(com.macrofocus.crossplatform.CPCanvas.ContextMenuListener l)